## org.eclipse.datatools.modelbase.sql.routines.impl
Class MethodImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
                      org.eclipse.datatools.modelbase.sql.routines.impl.MethodImpl

All Implemented Interfaces:
  Function, Method, Routine, SQLObject

public class MethodImpl
extends FunctionImpl
implements Method

An implementation of the model object 'Method'.

The following features are implemented:

- `Overriding`
- `Constructor`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`boolean` `isConstructor()`
`boolean` `isOverriding()`
`void` `setConstructor(boolean newConstructor)`
`void` `setOverriding(boolean newOverriding)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
`basicSetReturnCast, basicSetReturnScaler, basicSetReturnTable, getReturnCast, getReturnScaler, getReturnTable, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScaler, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Function
`getReturnCast, getReturnScaler, getReturnTable, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScaler, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isOverriding

    public boolean isOverriding()

  Specified by:
    `isOverriding` in interface `Method`
  Returns:
    the value of the 'Overriding' attribute.
  See Also:
    `Method.setOverriding(boolean)`, `SQLRoutinesPackage.getMethod_Overriding()`

### setOverriding

    public void setOverriding(boolean newOverriding)

  Specified by:
    `setOverriding` in interface `Method`
  Parameters:
    `newOverriding` - the new value of the 'Overriding' attribute.
  See Also:
    `Method.isOverriding()`

### isConstructor

    public boolean isConstructor()

  Specified by:
    `isConstructor` in interface `Method`
  Returns:
    the value of the 'Constructor' attribute.
  See Also:
    `Method.setConstructor(boolean)`, `SQLRoutinesPackage.getMethod_Constructor()`

### setConstructor

    public void setConstructor(boolean newConstructor)

  Specified by:
    `setConstructor` in interface `Method`
  Parameters:
    `newConstructor` - the new value of the 'Constructor' attribute.
  See Also:
    `Method.isConstructor()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `FunctionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `FunctionImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `FunctionImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `FunctionImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `FunctionImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `FunctionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FunctionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.